## dolphin 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Dolphin)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.16.0")
set(ECM_MIN_VERSION "1.6.0")

# ECM setup
find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX DOLPHIN
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/dolphin_version.h"
)

ecm_setup_version("5.0.0" VARIABLE_PREFIX DOLPHINVCS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfigVersion.cmake"
                  SOVERSION 5
)

ecm_setup_version("5.0.0" VARIABLE_PREFIX DOLPHINPRIVATE
                  SOVERSION 5
)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    Widgets
    Gui
    DBus
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    Init
    KCMUtils
    NewStuff
    CoreAddons
    I18n
    DBusAddons
    Bookmarks
    Config
    KIO
    Parts
    Solid
    IconThemes
    Completion
    TextWidgets
    WindowSystem
    Notifications
    Crash
)
find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS
    Activities
)

find_package(Phonon4Qt5 CONFIG REQUIRED)

find_package(KF5Baloo 4.97)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "Baloo Core libraries"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For adding desktop-wide search and tagging support to dolphin"
                      )

find_package(KF5BalooWidgets 4.97)
set_package_properties(KF5BalooWidgets PROPERTIES DESCRIPTION "Baloos Widgets"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                      )

find_package(KF5FileMetaData 4.97)
set_package_properties(KF5FileMetaData PROPERTIES
                       URL "https://projects.kde.org/kfilemetadata"
                       TYPE OPTIONAL
                       PURPOSE "For accessing file metadata labels"
                      )

if (KF5Baloo_FOUND AND KF5BalooWidgets_FOUND AND KF5FileMetaData_FOUND)
    message(STATUS "Baloo packages are found")
    set(HAVE_BALOO TRUE)
else()
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        KDELibs4Support # for KFileMetaDataWidget
    )
endif()

add_subdirectory(src)
add_subdirectory(doc)

# CMake files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/DolphinVcs")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/DolphinVcsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT DolphinVcsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE DolphinVcsTargets.cmake
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin"
    COMPONENT Devel
)

configure_file(org.kde.dolphin.FileManager1.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.dolphin.FileManager1.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.dolphin.FileManager1.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

configure_file(config-baloo.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-baloo.h)

configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)

add_definitions(
    -DTRANSLATION_DOMAIN=\"dolphin\"
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
)
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

##########################################

set(dolphinvcs_LIB_SRCS
    views/versioncontrol/kversioncontrolplugin.cpp
)

add_library(dolphinvcs ${dolphinvcs_LIB_SRCS})

generate_export_header(dolphinvcs BASE_NAME dolphin)

target_link_libraries(
    dolphinvcs PUBLIC
    Qt5::Widgets
)

set_target_properties(dolphinvcs PROPERTIES
    VERSION ${DOLPHINVCS_VERSION_STRING}
    SOVERSION ${DOLPHINVCS_SOVERSION}
    EXPORT_NAME DolphinVcs
)

ecm_generate_headers(dolphinvcs_LIB_HEADERS
    HEADER_NAMES
    KVersionControlPlugin

    RELATIVE "views/versioncontrol"
    REQUIRED_HEADERS dolphinvcs_LIB_HEADERS
)

install(TARGETS dolphinvcs EXPORT DolphinVcsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphin_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES ${dolphinvcs_LIB_HEADERS} DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin" COMPONENT Devel)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    dolphinnewfilemenu.cpp
    dolphindebug.cpp
)

if(HAVE_BALOO)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/kbaloorolesprovider.cpp
    )
endif()

kconfig_add_kcfg_files(dolphinprivate_LIB_SRCS GENERATE_MOC
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

add_library(dolphinprivate ${dolphinprivate_LIB_SRCS})

target_link_libraries(
    dolphinprivate PUBLIC
    dolphinvcs
    Qt5::Gui
    KF5::Crash
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::Completion
    KF5::TextWidgets
    KF5::WindowSystem
    KF5::ConfigCore
    KF5::NewStuff
    KF5::Parts
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate PUBLIC
        KF5::FileMetaData
        KF5::Baloo
        KF5::BalooWidgets
    )
else()
    target_link_libraries(
        dolphinprivate PUBLIC
        KF5::KDELibs4Support # for KFileMetaDataWidget
    )
endif()

set_target_properties(dolphinprivate PROPERTIES
    VERSION ${DOLPHINPRIVATE_VERSION_STRING}
    SOVERSION ${DOLPHINPRIVATE_SOVERSION}
)

install(TARGETS dolphinprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
   dolphinpart_ext.cpp
   dolphindebug.cpp
)

add_library(dolphinpart MODULE ${dolphinpart_SRCS})

target_link_libraries(dolphinpart
    dolphinprivate
)

install(TARGETS dolphinpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES dolphinpart.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

##########################################

set(dolphin_SRCS
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphintabbar.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
    dolphindebug.cpp
    dbusinterface.cpp
    global.cpp
)

kconfig_add_kcfg_files(dolphin_SRCS GENERATE_MOC
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif()

# TODO Does anything replace kde4_add_app_icon ?
#kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kf5_add_kdeinit_executable(dolphin ${dolphin_SRCS})

target_include_directories(kdeinit_dolphin PRIVATE ${PHONON_INCLUDES})

target_link_libraries(kdeinit_dolphin
    dolphinprivate
    KF5::Parts
    KF5::KCMUtils
    KF5::Solid
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::Bookmarks
    KF5::Notifications
    Phonon::phonon4qt5
)

if (KF5Activities_FOUND)
    target_link_libraries(
        kdeinit_dolphin
        KF5::Activities
    )
endif()

include(DbusInterfaceMacros)

generate_and_install_dbus_interface(
    kdeinit_dolphin
    dbusinterface.h
    org.freedesktop.FileManager1.xml
    OPTIONS -a
)

install(TARGETS kdeinit_dolphin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kconfig_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kconfig_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kconfig_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kconfig_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

add_library(kcm_dolphinviewmodes MODULE ${kcm_dolphinviewmodes_PART_SRCS})
add_library(kcm_dolphinnavigation MODULE ${kcm_dolphinnavigation_PART_SRCS})
add_library(kcm_dolphinservices MODULE ${kcm_dolphinservices_PART_SRCS})
add_library(kcm_dolphingeneral MODULE ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes dolphinprivate)
target_link_libraries(kcm_dolphinnavigation dolphinprivate)
target_link_libraries(kcm_dolphinservices dolphinprivate)
target_link_libraries(kcm_dolphingeneral dolphinprivate)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt5Test CONFIG REQUIRED)
include(ECMMarkAsTest)

# needed on windows to correctly use the files from dolphinprivate
add_definitions(-DDOLPHIN_EXPORT=)

# KItemSetTest
set(kitemsettest_SRCS
    kitemsettest.cpp
    ../kitemviews/kitemset.cpp
)

add_executable(kitemsettest ${kitemsettest_SRCS})
add_test(kitemsettest kitemsettest)
ecm_mark_as_test(kitemsettest)
target_link_libraries(kitemsettest dolphinprivate Qt5::Test)

# KItemRangeTest
set(kitemrangetest_SRCS
    kitemrangetest.cpp
)

add_executable(kitemrangetest ${kitemrangetest_SRCS})
add_test(kitemrangetest kitemrangetest)
ecm_mark_as_test(kitemrangetest)
target_link_libraries(kitemrangetest dolphinprivate Qt5::Test)


# KItemListSelectionManagerTest
set(kitemlistselectionmanagertest_SRCS
    kitemlistselectionmanagertest.cpp
    ../kitemviews/kitemlistselectionmanager.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
)

add_executable(kitemlistselectionmanagertest ${kitemlistselectionmanagertest_SRCS})
add_test(kitemlistselectionmanagertest kitemlistselectionmanagertest)
ecm_mark_as_test(kitemlistselectionmanagertest)
target_link_libraries(kitemlistselectionmanagertest dolphinprivate Qt5::Test)

# KItemListControllerTest
set(kitemlistcontrollertest_SRCS
    kitemlistcontrollertest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kfileitemlistwidget.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
    ../dolphindebug.cpp
)

kconfig_add_kcfg_files(kitemlistcontrollertest_SRCS GENERATE_MOC
    ../settings/dolphin_generalsettings.kcfgc
)

add_executable(kitemlistcontrollertest ${kitemlistcontrollertest_SRCS})
add_test(kitemlistcontrollertest kitemlistcontrollertest)
ecm_mark_as_test(kitemlistcontrollertest)
target_link_libraries(kitemlistcontrollertest dolphinprivate Qt5::Test)

# KFileItemListViewTest
set(kfileitemlistviewtest_SRCS
    kfileitemlistviewtest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
    ../dolphindebug.cpp
)

kconfig_add_kcfg_files(kfileitemlistviewtest_SRCS GENERATE_MOC
    ../settings/dolphin_generalsettings.kcfgc
)

add_executable(kfileitemlistviewtest ${kfileitemlistviewtest_SRCS})
add_test(kfileitemlistviewtest kfileitemlistviewtest)
ecm_mark_as_test(kfileitemlistviewtest)
target_link_libraries(kfileitemlistviewtest dolphinprivate Qt5::Test)

# KFileItemModelTest
set(kfileitemmodeltest_SRCS
    kfileitemmodeltest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
    ../dolphindebug.cpp
)

kconfig_add_kcfg_files(kfileitemmodeltest_SRCS GENERATE_MOC
    ../settings/dolphin_generalsettings.kcfgc
)

add_executable(kfileitemmodeltest ${kfileitemmodeltest_SRCS})
add_test(kfileitemmodeltest kfileitemmodeltest)
ecm_mark_as_test(kfileitemmodeltest)
target_link_libraries(kfileitemmodeltest dolphinprivate Qt5::Test)

# KFileItemModelBenchmark
set(kfileitemmodelbenchmark_SRCS
    kfileitemmodelbenchmark.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../dolphindebug.cpp
)

kconfig_add_kcfg_files(kfileitemmodelbenchmark_SRCS GENERATE_MOC
    ../settings/dolphin_generalsettings.kcfgc
)

add_executable(kfileitemmodelbenchmark ${kfileitemmodelbenchmark_SRCS})
ecm_mark_as_test(kfileitemmodelbenchmark)
target_link_libraries(kfileitemmodelbenchmark dolphinprivate Qt5::Test)

# KItemListKeyboardSearchManagerTest
set(kitemlistkeyboardsearchmanagertest_SRCS
    kitemlistkeyboardsearchmanagertest.cpp
    ../kitemviews/private/kitemlistkeyboardsearchmanager.cpp
)

add_executable(kitemlistkeyboardsearchmanagertest ${kitemlistkeyboardsearchmanagertest_SRCS})
add_test(kitemlistkeyboardsearchmanagertest kitemlistkeyboardsearchmanagertest)
ecm_mark_as_test(kitemlistkeyboardsearchmanagertest)
target_link_libraries(kitemlistkeyboardsearchmanagertest dolphinprivate Qt5::Test)

# DolphinSearchBox
if (KF5Baloo_FOUND)
  set(dolphinsearchboxtest_SRCS
      dolphinsearchboxtest.cpp
      ../search/dolphinfacetswidget.cpp
      ../search/dolphinsearchbox.cpp
  )
  kconfig_add_kcfg_files(dolphinsearchboxtest_SRCS
      ../search/dolphin_searchsettings.kcfgc
  )

  add_executable(dolphinsearchboxtest ${dolphinsearchboxtest_SRCS})
  add_test(dolphinsearchboxtest dolphinsearchboxtest)
  ecm_mark_as_test(dolphinsearchboxtest)
  target_link_libraries(dolphinsearchboxtest dolphinprivate Qt5::Test)
endif()

# KStandardItemModelTest
set(kstandarditemmodeltest_SRCS
    kstandarditemmodeltest.cpp
    ../kitemviews/kstandarditem.cpp
    ../kitemviews/kstandarditemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../dolphindebug.cpp
)

add_executable(kstandarditemmodeltest ${kstandarditemmodeltest_SRCS})
add_test(kstandarditemmodeltest kstandarditemmodeltest)
ecm_mark_as_test(kstandarditemmodeltest)
target_link_libraries(kstandarditemmodeltest dolphinprivate Qt5::Test)

# ViewPropertiesTest
set(viewpropertiestest_SRCS
    viewpropertiestest.cpp
    testdir.cpp
    ../views/viewproperties.cpp
    ../dolphindebug.cpp
)
kconfig_add_kcfg_files(viewpropertiestest_SRCS GENERATE_MOC
  ../settings/dolphin_generalsettings.kcfgc
  ../settings/dolphin_directoryviewpropertysettings.kcfgc
)

add_executable(viewpropertiestest ${viewpropertiestest_SRCS})
add_test(viewpropertiestest viewpropertiestest)
ecm_mark_as_test(viewpropertiestest)
target_link_libraries(viewpropertiestest dolphinprivate Qt5::Test)

=== debian/changelog ===
dolphin (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:52:57 -0700

dolphin (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:23:11 +0100

dolphin (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:48 +0100

dolphin (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:35 +0200

dolphin (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:11 +0200

dolphin (4:15.08.0-2) experimental; urgency=medium

  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 15:37:03 +0200

dolphin (4:15.08.0-1) experimental; urgency=medium

  * Prepare plasma 5 version of dolphin.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 20:44:48 +0200

kdebase-cvs (4:2.0-19990531-1) experimental; urgency=low

  * Making kdm not require xdm
  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 19:30:29 -0400

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 4.97~),
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               kde-sc-dev-latest (>= 4:4.12),
               kdoctools-dev (>= 5.7.0~),
               kinit-dev (>= 5.7.0~),
               kio-dev (>= 5.18.0),
               libkf5activities-dev (>= 5.18.0),
               libkf5baloowidgets-dev (>= 5.18.0),
               libkf5bookmarks-dev (>= 5.18.0),
               libkf5completion-dev (>= 5.18.0),
               libkf5config-dev (>= 5.18.0),
               libkf5coreaddons-dev (>= 5.18.0),
               libkf5dbusaddons-dev (>= 5.18.0),
               libkf5filemetadata-dev (>= 5.18.0),
               libkf5i18n-dev (>= 5.18.0),
               libkf5iconthemes-dev (>= 5.18.0),
               libkf5kcmutils-dev (>= 5.18.0),
               libkf5kdelibs4support-dev (>= 5.18.0),
               libkf5newstuff-dev (>= 5.18.0),
               libkf5notifications-dev (>= 5.18.0),
               libkf5parts-dev (>= 5.18.0),
               libkf5solid-dev (>= 5.18.0),
               libkf5texteditor-dev (>= 5.18.0),
               libkf5windowsystem-dev (>= 5.18.0),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/dolphin.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: libkonq-common, ruby
Suggests: dolphin-plugins
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev (>= 5.7.0~),
         libdolphinvcs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: dolphin-dbg
Section: debug
Architecture: any
Priority: extra
Depends: dolphin (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Dolphin
 This package contains debugging files used to investigate problems
 with binaries included Dolphin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=dolphin-dbg

override_dh_auto_test:
	# Disable unittest at build time
	:

## dolphin 16.04.3

=== debian/changelog ===
dolphin (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Update versions for frameworks build dependencies.
  * Remove dependency for old qt4 sc dev package. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Adding new missing file to libdolphinvcs-dev.install
  * New upstream release (16.04.2)
  * Removing missing file from libdolphinvcs-dev.install
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Add ffmpegthumbs and kdegraphics-thumbnailers to dolphin recommends
    because they are used to generate thumbnailers in the 'preview mode'
    of dolphin.
  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:09 +0200

dolphin (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:02 +0100

kdebase (4:3.5.8-2ubuntu18) hardy; urgency=low

  * Edited debian/patches/70_kdm_consolekit.diff to fix a crash
    when attempting to connect to local kdm via XDMCP (Closes LP: #178242)
    Thanks to Paul Brook for debbuging this, and to Zoogie for reporting this

 -- Maxim Levitsky <maximlevitsky@gmail.com>  Tue, 06 Feb 2008 00:39:44 +0000

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.24.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5activities-dev (>= 5.24.0~),
               libkf5baloowidgets-dev (>= 4:16.04.3~),
               libkf5bookmarks-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5filemetadata-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5parts-dev (>= 5.24.0~),
               libkf5solid-dev (>= 5.24.0~),
               libkf5texteditor-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: libkonq-common, ruby, ffmpegthumbs, kdegraphics-thumbnailers
Suggests: dolphin-plugins
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev (>= 5.16.0~),
         libdolphinvcs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='dolphin-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable unittest at build time
	:

## dolphin 16.08.3

=== debian/changelog ===
dolphin (4:16.08.3-3) unstable; urgency=medium

  * Reenable baloo support with the baloo-kf5 runtime dependency, now that
    the baloo file indexer is disabled by default this doesn't impose a
    resource toll anymore.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Dec 2016 14:48:30 +0100

dolphin (4:16.08.3-2) unstable; urgency=medium

  * Drop baloo support
  * Add kinit runtime dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Dec 2016 22:32:27 +0100

dolphin (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:50:06 +0100

dolphin (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:03:56 +0200

dolphin (4:16.04.2-2) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-* fields. (Closes: #805611)
  * Disable, only on hurd, the baloo-kf5-dev and libkf5baloowidgets-dev build
    dependencies, to let dolphin build there.
  * Recommend kio-extras, used for thumbnails and not only. (Closes: #803582)

 -- Pino Toscano <pino@debian.org>  Wed, 29 Jun 2016 20:23:08 +0200

dolphin (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:23:17 +0200

dolphin (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * No curly brackets in the trap call
  * First kill kdeinit, then the X
  * Run kinit under the same dbus connection
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update testsuite script

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 18:54:43 +0200

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               kdoctools-dev (>= 5.21.0~),
               kinit-dev (>= 5.21.0~),
               kio-dev (>= 5.21.0~),
               libkf5activities-dev (>= 5.21.0~),
               libkf5baloowidgets-dev (>= 4.97~) [!hurd-any],
               libkf5bookmarks-dev (>= 5.21.0~),
               libkf5completion-dev (>= 5.21.0~),
               libkf5config-dev (>= 5.21.0~),
               libkf5coreaddons-dev (>= 5.21.0~),
               libkf5crash-dev (>= 5.21.0~),
               libkf5dbusaddons-dev (>= 5.21.0~),
               libkf5doctools-dev (>= 5.21.0~),
               libkf5filemetadata-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.21.0~),
               libkf5iconthemes-dev (>= 5.21.0~),
               libkf5kcmutils-dev (>= 5.21.0~),
               libkf5kdelibs4support-dev (>= 5.21.0~),
               libkf5kio-dev (>= 5.21.0~),
               libkf5newstuff-dev (>= 5.21.0~),
               libkf5notifications-dev (>= 5.21.0~),
               libkf5parts-dev (>= 5.21.0~),
               libkf5solid-dev (>= 5.21.0~),
               libkf5texteditor-dev (>= 5.7.0~),
               libkf5textwidgets-dev (>= 5.21.0~),
               libkf5windowsystem-dev (>= 5.21.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kio-extras, ruby
Suggests: dolphin-plugins
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev (>= 5.21.0~),
         libdolphinvcs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='dolphin-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable unittest at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit, xserver-xephyr
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/dolphin-([\d.]+).tar.xz

## dolphin 16.12.3

=== debian/changelog ===
dolphin (4:16.12.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * debian/control:
    - Fix build-deps to what's actually in CMakeLists.txt.
    - Replace mtpfs with go-mtpfs.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Dec 2017 16:06:40 -0800

dolphin (4:16.12.3-0ubuntu2) zesty; urgency=medium

  * debian/patches: Add upstream patch to fix 'download services' so it
    uses the new store.kde.org

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Mar 2017 10:22:17 +0000

dolphin (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:33 +0000

dolphin (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Create and set the $HOME1 directory when running tests if $HOME is not set
    already. This will fix the tests in environments where $HOME isn't set.
  * Pass '-fno-keep-inline-functions' to gcc in the acc test, in order
    to fix spurious autopkgtests failures.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 07 Feb 2017 18:49:47 +0000

dolphin (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Adding a suggests on mtpfs so that users can browse
    mobile devices via MTP in Dolphin

 -- Clive Johnston <clivejo@kubuntu.org>  Sun, 05 Feb 2017 00:05:59 +0000

dolphin (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
+Build-Depends: baloo-kf5-dev (>= 5.21.0~),
                cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.6.0~),
-               kdoctools-dev (>= 5.21.0~),
+               extra-cmake-modules (>= 5.21.0~),
                kinit-dev (>= 5.21.0~),
-               kio-dev (>= 5.21.0~),
                libkf5activities-dev (>= 5.21.0~),
-               libkf5baloowidgets-dev (>= 4.97~) [!hurd-any],
+               libkf5baloowidgets-dev (>= 16.04),
                libkf5bookmarks-dev (>= 5.21.0~),
                libkf5completion-dev (>= 5.21.0~),
                libkf5config-dev (>= 5.21.0~),
                libkf5coreaddons-dev (>= 5.21.0~),
-               libkf5crash-dev (>= 5.21.0~),
                libkf5dbusaddons-dev (>= 5.21.0~),
                libkf5doctools-dev (>= 5.21.0~),
-               libkf5filemetadata-dev (>= 5.19.0~),
+               libkf5filemetadata-dev (>= 5.21.0~),
                libkf5i18n-dev (>= 5.21.0~),
                libkf5iconthemes-dev (>= 5.21.0~),
                libkf5kcmutils-dev (>= 5.21.0~),
@@ -29,25 +28,24 @@
                libkf5notifications-dev (>= 5.21.0~),
                libkf5parts-dev (>= 5.21.0~),
                libkf5solid-dev (>= 5.21.0~),
-               libkf5texteditor-dev (>= 5.7.0~),
-               libkf5textwidgets-dev (>= 5.21.0~),
+               libkf5texteditor-dev (>= 5.21.0~),
                libkf5windowsystem-dev (>= 5.21.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git
+Vcs-Browser:https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git:https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
 Architecture: any
-Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: kio-extras, ruby
-Suggests: dolphin-plugins
+Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
+Recommends: ffmpegthumbs, kdegraphics-thumbnailers, libkonq-common, ruby
+Suggests: dolphin-plugins, go-mtpfs
 Description: file manager
  Dolphin is the default file manager in the Plasma, intended
  to be both powerful and easy to use.
@@ -76,9 +74,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: kio-dev (>= 5.21.0~),
-         libdolphinvcs5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4.0~),
+Depends: libdolphinvcs5 (= ${binary:Version}),
+         libkf5kio-dev (>= 5.21.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
